Subject: bug#15823: default --tag does not work as documented

From: Stefan Fritsch <[email-masked]>
Date: Wed, 06 Nov 2013 18:38:25 +0100

Hi,

the libtool documentation [1] says: "When no tag is specified, libtool 
will default to CC; this tag always exists." But this is not what 
libtool does. Depending on the libtool configuration, the --tag 
parameter seems to be necessary, resulting in the "unable to infer 
tagged configuration" error. See, e.g. the bug report at [2]. Please 
either

- fix libtool, or
- document when exactly --tag is required

Cheers,
Stefan

[1] http://www.gnu.org/software/libtool/manual/libtool.html#Tags
[2] https://issues.apache.org/bugzilla/show_bug.cgi?id=47691